Subject: Re: bug#27894: Building Guix fails without '/etc/services'

From: Jonathan Brielmaier <[email-masked]>
Date: Tue, 11 Feb 2020 21:50:31 +0100

On 11.02.20 21:40, Julien Lepiller wrote:> This is somewhat similar to
what happens on android, and probably any systen using an alternate
libc. Guix uses its own libc that expects an /etc/services and other
files. I guess a symlink from /etc to /usr/etc is all you need?.
Yes a symlink does resolve it. But doing it on all my systems is annoying :P

But I wonder how much effort would be required to make this hardcoding
of `/etc/services` more flexible. I'm mean Tumbleweed uses glibc. The
only thing different is that they are moving all/most of config files
from /etc to /usr/etc for $reason.